# Method: projects.deployments.create

- [HTTP request](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/create#body.request_body)
  - [JSON representation](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/create#body.response_body)
- [Authorization Scopes](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/create#body.aspect)
- [Try it!](https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments/create#try-it)

Creates a deployment of an Apps Script project.

### HTTP request

`POST https://script.googleapis.com/v1/projects/{scriptId}/deployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `scriptId` | `string` The script project's Drive ID. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "versionNumber": integer, "manifestFileName": string, "description": string } ``` |

| Fields ||
|---|---|
| `versionNumber` | `integer` The version number on which this deployment is based. |
| `manifestFileName` | `string` The manifest file name for this deployment. |
| `description` | `string` The description for this deployment. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/apps-script/api/reference/rest/v1/projects.deployments#Deployment`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/script.deployments`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).